petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMGlobalToLocalEndDefaultShell

Uses the GlobalToLocal VecScatter context set by the user to end a global to local scatter Collective

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMGlobalToLocalEndDefaultShell(DM dm,Vec g,InsertMode mode,Vec l)

### Input Arguments

| dm | - shell DM
| g | - global vector
| mode | - InsertMode
| l | - local vector

### See Also

DMGlobalToLocalBeginDefaultShell()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages